package com.yidianling.fm;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import com.ydl.ydlcommon.adapter.CommonAdapter;
import com.yidianling.fm.response.FM;


/**
 * Created by softrice on 15/12/11.
 */
public class FMListAdapter extends CommonAdapter<FM> {
    private Context context;

    public FMListAdapter(Context context) {
        this.context = context;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {

        if(convertView == null){
            convertView = new FMListItemView(context);
        }

        ((FMListItemView)convertView).setData(mDataList.get(position));

        return convertView;
    }
}
